// -*- mode: C++ -*-

//
// Pibero Djawotho <pibero@indiana.edu>
// Indiana University
// 9 August 2007
//

#ifndef CTB_HIT_H
#define CTB_HIT_H

// ROOT
#include "TRefArray.h"

class CtbHit : public TObject {
public:
  CtbHit();
  CtbHit(int tray, int slat, int adc);
  CtbHit(const CtbHit& hit);
  ~CtbHit() {}

  int tray() const;
  int slat() const;
  int adc() const;
  TRefArray& tracks();
  void getEtaPhi(double& eta, double& phi) const;

private:
  int mTray;
  int mSlat;
  int mAdc;
  TRefArray mTracks;

  ClassDef(CtbHit, 1);
};

inline int CtbHit::tray() const { return mTray; }
inline int CtbHit::slat() const { return mSlat; }
inline int CtbHit::adc() const { return mAdc; }
inline TRefArray& CtbHit::tracks() { return mTracks; }

#endif
